org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearCacheClearAllRunnable<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheClearAllRunnable<K,V>
  - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearCacheClearAllRunnable<K,V>

All Implemented Interfaces:
  Runnable

    public class GridNearCacheClearAllRunnable<K,V>
    extends GridCacheClearAllRunnable<K,V>

Runnable for `GridCacheAdapter.clearLocally()` routine for near cache.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheClearAllRunnable

`cache, ctx, id, log, obsoleteVer, totalCnt`

### Constructor Summary

Constructors
Constructor and Description
`GridNearCacheClearAllRunnable(GridCacheAdapter<K,V> cache, GridCacheVersion obsoleteVer, GridCacheClearAllRunnable<K,V> dhtJob)` Constructor.

### Method Summary

Methods
`void` `run()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheClearAllRunnable

`clearEntry, id, owns, totalCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearCacheClearAllRunnable

    public GridNearCacheClearAllRunnable(GridCacheAdapter<K,V> cache,
                                 GridCacheVersion obsoleteVer,
                                 GridCacheClearAllRunnable<K,V> dhtJob)

Constructor.

Parameters:
  `cache` - Cache to be cleared.
  `obsoleteVer` - Obsolete version.
  `dhtJob` - Linked DHT job.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `GridCacheClearAllRunnable<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheClearAllRunnable<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015